### Type parameters

- #### REQ

- #### RESP

### Hierarchy

- UnaryResponse

## Index

### Constructors

- constructor

### Methods

- getMetadata
- getMethodDescriptor
- getResponseMessage
- getStatus

## Constructors

### constructor

- new UnaryResponse<REQ, RESP>(): UnaryResponse <REQ, RESP>

- #### Type parameters

  - #### REQ

  - #### RESP

  #### Returns UnaryResponse <REQ, RESP>

## Methods

### getMetadata

- getMetadata(): Metadata

- - Defined in node_modules/grpc-web/index.d.ts:101

  #### Returns Metadata

### getMethodDescriptor

- getMethodDescriptor(): MethodDescriptor <REQ, RESP>

- - Defined in node_modules/grpc-web/index.d.ts:102

  #### Returns MethodDescriptor <REQ, RESP>

### getResponseMessage

- getResponseMessage(): RESP

- - Defined in node_modules/grpc-web/index.d.ts:100

  #### Returns RESP

### getStatus

- getStatus(): Status

- - Defined in node_modules/grpc-web/index.d.ts:103

  #### Returns Status

Generated using TypeDoc